cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-fuel_tools10 ${gz-fuel_tools_FIND_VERSION} REQUIRED COMPONENTS ${gz-fuel_tools_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-fuel_tools::gz-fuel_tools ALIAS gz-fuel_tools10::gz-fuel_tools10)
add_library(gz-fuel_tools::core ALIAS gz-fuel_tools10::gz-fuel_tools10)

# Retrieve the list of components
get_target_property(components gz-fuel_tools10::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-fuel_tools10::gz-fuel_tools10)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-fuel_tools10::gz-fuel_tools10-" "" component_name ${component})
  add_library(gz-fuel_tools::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-fuel_tools ALIAS gz-fuel_tools10::gz-fuel_tools10)
